/// <reference types="react" />
import RedBox from './RedBox';
import Window from './Window/Window';
import MainWindow from './Window/MainWindow';
export * from './QtQuick';
declare const $StandardKey: any;
export { RedBox, Window, MainWindow, $StandardKey as StandardKey };
declare const _default: {
    RedBox: import("react").FunctionComponent<{
        error: Error;
        errorInfo: import("react").ErrorInfo;
        enableStacktrace?: boolean | undefined;
    }>;
    Window: import("react").ForwardRefExoticComponent<Pick<{
        forwardedRef?: any;
        visible?: boolean | undefined;
        onClosing?: ((ev: import("../QtQuick").QQuickCloseEvent) => void) | undefined;
        visibility?: string | import("../QtQuickWindow").QWindow_Visibility | undefined;
    } & {
        [key: string]: any;
    }, string | number> & import("react").RefAttributes<import("../QtQuickWindow").QQuickWindow>>;
    MainWindow: import("react").ForwardRefExoticComponent<Pick<{
        forwardedRef?: any;
        visible?: boolean | undefined;
        onClosing?: ((ev: import("../QtQuick").QQuickCloseEvent) => void) | undefined;
        visibility?: string | import("../QtQuickWindow").QWindow_Visibility | undefined;
    } & {
        [key: string]: any;
    }, string | number> & import("react").RefAttributes<import("../QtQuickWindow").QQuickWindow>>;
    StandardKey: any;
};
export default _default;
