"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  StandardKey: true,
  RedBox: true,
  Window: true,
  MainWindow: true
};
Object.defineProperty(exports, "RedBox", {
  enumerable: true,
  get: function get() {
    return _RedBox.default;
  }
});
Object.defineProperty(exports, "Window", {
  enumerable: true,
  get: function get() {
    return _Window.default;
  }
});
Object.defineProperty(exports, "MainWindow", {
  enumerable: true,
  get: function get() {
    return _MainWindow.default;
  }
});
exports.default = exports.StandardKey = void 0;

var _RedBox = _interopRequireDefault(require("./RedBox"));

var _Window = _interopRequireDefault(require("./Window/Window"));

var _MainWindow = _interopRequireDefault(require("./Window/MainWindow"));

var _QtQuick = require("./QtQuick");

Object.keys(_QtQuick).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _QtQuick[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var $StandardKey = StandardKey;
exports.StandardKey = $StandardKey;
var _default = {
  RedBox: _RedBox.default,
  Window: _Window.default,
  MainWindow: _MainWindow.default,
  StandardKey: StandardKey
};
exports.default = _default;